Subject: bug#27021: closed (Re: bug#27021: [PATCH 2/2] gnu: node: Use unbundled dependencies.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 May 2017 16:32:02 +0000

Your bug report

#27021: [PATCH 2/2] gnu: node: Use unbundled dependencies.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27021: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27021
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27021: [PATCH 2/2] gnu: node: Use unbundled dependencies.
From: Marius Bakke <[email-masked]>
To: Jelle Licht <[email-masked]>, [email-masked]
Date: Tue, 23 May 2017 18:31:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Jelle Licht <[email-masked]> writes:

> * gnu/packages/node.scm (node): Update to 7.10.0.
> (node)[arguments]: Disabled more tests.
> * gnu/packages/patches/node-9077.patch: Delete incompatible patch file.
> Recreate patch file from node pull request 9077.

[...]

> * gnu/packages/node.scm (node)[inputs]: Add c-ares and http-parser.
> [arguments]: Add configure flags for using system libraries.

Thanks for these patches! I updated the TODO comment about http-parser
to say "TODO: Purge the bundled copies from the source". I tried to do
that with a source 'snippet', but the Makefile expects to build these
targets, so it will take some work. Would you mind looking into it? :-)

Regardless, I've applied these patches for now. Thanks for maintaining
this package! :-)

Subject: [PATCH 2/2] gnu: node: Use unbundled dependencies.
From: Jelle Licht <[email-masked]>
To: [email-masked]
Cc: Jelle Licht <[email-masked]>
Date: Mon, 22 May 2017 20:03:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/node.scm (node)[inputs]: Add c-ares and http-parser.
[arguments]: Add configure flags for using system libraries.
---
 gnu/packages/node.scm | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/node.scm b/gnu/packages/node.scm
index 91f1839b6..b3ecfc843 100644
--- a/gnu/packages/node.scm
+++ b/gnu/packages/node.scm
@@ -26,6 +26,7 @@
   #:use-module (guix download)
   #:use-module (guix build-system gnu)
   #:use-module (gnu packages)
+  #:use-module (gnu packages adns)
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages gcc)
@@ -33,7 +34,8 @@
   #:use-module (gnu packages linux)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages python)
-  #:use-module (gnu packages tls))
+  #:use-module (gnu packages tls)
+  #:use-module (gnu packages web))
 
 (define-public node
   (package
@@ -54,6 +56,8 @@
      '(#:configure-flags '("--shared-openssl"
                            "--shared-zlib"
                            "--shared-libuv"
+                           "--shared-cares"
+                           "--shared-http-parser"
                            "--without-snapshot")
        #:phases
        (modify-phases %standard-phases
@@ -123,7 +127,9 @@
        ("util-linux" ,util-linux)
        ("which" ,which)))
     (inputs
-     `(("libuv" ,libuv)
+     `(("c-ares" ,c-ares)
+       ("http-parser" ,http-parser)
+       ("libuv" ,libuv)
        ("openssl" ,openssl)
        ("zlib" ,zlib)))
     (synopsis "Evented I/O for V8 JavaScript")
-- 
2.13.0